## bluedevil 5.20.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(bluedevil)
set(PROJECT_VERSION "5.20.5")
set(PROJECT_VERSION_MAJOR 5)

set(QT_MIN_VERSION "5.15.0")
set(KF5_MIN_VERSION "5.74")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

configure_file(version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/version.h)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Widgets
    Qml
    DBus)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    CoreAddons
    WidgetsAddons
    DBusAddons
    Notifications
    WindowSystem
    IconThemes
    Plasma
    I18n
    KIO
    Declarative
    BluezQt)

find_package(KDED ${KF5_MIN_VERSION} REQUIRED)
find_package(SharedMimeInfo REQUIRED)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMOptionalAddSubdirectory)
include(FeatureSummary)
include(KDEClangFormat)
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
endif()

include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(src)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== src/kcm/CMakeLists.txt ===
set(kcmbluetooth_SRCS bluetooth.cpp)

kconfig_add_kcfg_files(kcmbluetooth_SRCS GENERATE_MOC
                    ../settings/filereceiversettings.kcfgc)

add_library(kcm_bluetooth MODULE ${kcmbluetooth_SRCS})

target_link_libraries(kcm_bluetooth
    Qt5::Gui
    Qt5::Qml
    Qt5::DBus
    KF5::CoreAddons
    KF5::ConfigGui
    KF5::QuickAddons
    KF5::I18n
    KF5::BluezQt
    )
kcoreaddons_desktop_to_json(kcm_bluetooth "package/metadata.desktop")

install(FILES package/metadata.desktop RENAME bluetooth.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
install(TARGETS kcm_bluetooth DESTINATION ${KDE_INSTALL_PLUGINDIR}/kcms)
kpackage_install_package(package kcm_bluetooth kcms)

=== src/kded/CMakeLists.txt ===
set(kded_bluedevil_SRCS
    bluedevildaemon.cpp
    devicemonitor.cpp
    bluezagent.cpp
    debug_p.cpp
    obexftp.cpp
    obexagent.cpp
    receivefilejob.cpp
    helpers/requestauthorization.cpp
    helpers/requestconfirmation.cpp
    helpers/requestpin.cpp
)

ki18n_wrap_ui(kded_bluedevil_SRCS
    helpers/requestpin.ui)

kconfig_add_kcfg_files(kded_bluedevil_SRCS GENERATE_MOC ../settings/filereceiversettings.kcfgc)

kcoreaddons_add_plugin(kded_bluedevil INSTALL_NAMESPACE "kf5/kded" JSON bluedevil.json SOURCES ${kded_bluedevil_SRCS})
set_target_properties(kded_bluedevil PROPERTIES OUTPUT_NAME bluedevil)

target_link_libraries(kded_bluedevil
    Qt5::Gui
    KF5::I18n
    KF5::CoreAddons
    KF5::DBusAddons
    KF5::Notifications
    KF5::KIOCore
    KF5::KIOFileWidgets
    KF5::IconThemes
    KF5::WindowSystem
    KF5::BluezQt
)

=== src/kio/bluetooth/CMakeLists.txt ===
set(kio_bluetooth_SRCS
   kiobluetooth.cpp)

set(kded_bluedevil.xml ${CMAKE_SOURCE_DIR}/src/interfaces/kded_bluedevil.xml)
set_source_files_properties(${kded_bluedevil.xml} PROPERTIES INCLUDE ${CMAKE_SOURCE_DIR}/src/interfaces/kded_bluedevil_types.h)
qt5_add_dbus_interface(kio_bluetooth_SRCS ${kded_bluedevil.xml} kdedbluedevil)

kconfig_add_kcfg_files(kio_bluetooth_SRCS GENERATE_MOC ../../settings/filereceiversettings.kcfgc)

add_library(kio_bluetooth MODULE ${kio_bluetooth_SRCS})

target_link_libraries(kio_bluetooth
    Qt5::Core
    Qt5::DBus
    KF5::I18n
    KF5::KIOCore
    KF5::CoreAddons
    KF5::ConfigGui
    Qt5::Network
)

target_include_directories(kio_bluetooth
    PUBLIC $<TARGET_PROPERTY:KF5::BluezQt,INTERFACE_INCLUDE_DIRECTORIES>)

########### install files ###############
install(TARGETS kio_bluetooth DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES bluetooth.protocol DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
install(FILES bluetooth-network.desktop DESTINATION ${KDE_INSTALL_DATADIR}/remoteview)

=== src/kio/obexftp/CMakeLists.txt ===
set(kio_obexftp_SRCS
    kioobexftp.cpp
    transferfilejob.cpp
    debug_p.cpp
   )

set(kded_obexftp.xml ${CMAKE_SOURCE_DIR}/src/interfaces/kded_obexftp.xml)
qt5_add_dbus_interface(kio_obexftp_SRCS ${kded_obexftp.xml} kdedobexftp)

add_library(kio_obexftp MODULE ${kio_obexftp_SRCS})

target_link_libraries(kio_obexftp
    Qt5::Core
    Qt5::DBus
    KF5::I18n
    KF5::KIOCore
    KF5::CoreAddons
    KF5::BluezQt
    Qt5::Network
)

install(TARGETS kio_obexftp DESTINATION ${KDE_INSTALL_PLUGINDIR})

########### install files ###############

install(FILES obexftp.protocol DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== debian/changelog ===
bluedevil (4:5.20.5-1) unstable; urgency=medium

  * New upstream release.

 -- Norbert Preining <norbert@preining.info>  Wed, 06 Jan 2021 23:50:50 +0900

bluedevil (4:5.20.4-3) unstable; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * Add kirigami runtime dependency.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 22 Dec 2020 14:00:25 +0100

bluedevil (4:5.20.4-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 11:04:35 +0900

bluedevil (4:5.20.4-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.20.4).
  * Update build-deps with the info from cmake.

  [ Scarlett Moore ]
  * Remove obsolete entries from upstream metadata.
  * Bump standards to 4.5.1; no changes needed.
  * Add missing versions to build dependencies.

 -- Norbert Preining <norbert@preining.info>  Wed, 09 Dec 2020 14:17:30 +0900

bluedevil (4:5.19.5-3) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Fri, 06 Nov 2020 08:37:21 +0900

bluedevil (4:5.19.5-2) experimental; urgency=medium

  * Rebuild for Qt 5.15

 -- Norbert Preining <norbert@preining.info>  Mon, 02 Nov 2020 09:27:38 +0900

bluedevil (4:5.19.5-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * New upstream release (5.19.5).

  [ Norbert Preining ]
  * Add Patrick and myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Mon, 19 Oct 2020 09:45:20 +0900

bluedevil (4:5.19.4-1) experimental; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Bump compat level to 13.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.18.5).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Remove not needed injection of linker flags.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Set/Update field Upstream-Contact in debian/copyright.
  * Update Maintainer/Uploaders in d/control.
    - Remove maxy as requested on IRC.
    - Replace Maintainer with Debian team.

  [ Patrick Franz ]
  * Add hardening=+all build flag.
  * Update matching files in debian/copyright.
  * Update data in /debian/upstream/metadata.
  * Rename Lintian override: binary-without-manpage => no-manual-page.

  [ Norbert Preining ]
  * New upstream release (5.19.4).
  * Update build-deps and deps with the info from cmake.

 -- Pino Toscano <pino@debian.org>  Sat, 29 Aug 2020 23:14:36 +0200

bluedevil (4:5.17.5-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Feb 2020 21:30:06 +0100

bluedevil (4:5.17.5-1) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (5.16.5).
  * Salsa CI automatic initialization by Tuco
  * Update build-deps and deps with the info from cmake

  [ Pino Toscano ]
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.62.0
    - explicitly add gettext
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Bump Standards-Version to 4.4.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 18 Jan 2020 21:25:38 +0100

=== debian/control ===
Source: bluedevil
Section: net
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Florian Reinhard <florian.reinhard@googlemail.com>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Mark Purcell <msp@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <patfra71@gmail.com>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.74.0~),
               gettext,
               kded5-dev (>= 5.74.0~),
               libkf5bluezqt-dev (>= 5.74.0~),
               libkf5coreaddons-dev (>= 5.74.0~),
               libkf5dbusaddons-dev (>= 5.74.0~),
               libkf5declarative-dev (>= 5.74.0~),
               libkf5i18n-dev (>= 5.74.0~),
               libkf5iconthemes-dev (>= 5.74.0~),
               libkf5kio-dev (>= 5.74.0~),
               libkf5notifications-dev (>= 5.74.0~),
               libkf5plasma-dev (>= 5.74.0~),
               libkf5widgetsaddons-dev (>= 5.74.0~),
               libkf5windowsystem-dev (>= 5.74.0~),
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
               shared-mime-info,
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/plasma/bluedevil
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/bluedevil.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/bluedevil
Rules-Requires-Root: no

Package: bluedevil
Architecture: linux-any
Depends: bluez (>= 5),
         bluez-obexd,
         plasma-framework ( >= 5.74.0~),
         qml-module-org-kde-bluezqt ( >= 5.74.0~),
         qml-module-org-kde-kio ( >= 5.74.0~),
         qml-module-org-kde-kquickcontrolsaddons ( >= 5.74.0~),
         qml-module-qtquick-layouts (>= 5.15.0~),
         qml-module-qtquick2 (>= 5.15.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: pulseaudio-module-bluetooth | bluez-alsa
Description: KDE Bluetooth stack
 BlueDevil is a set of components which integrate Bluetooth in KDE.
 It contains:
  * A KDE Control Module (KCM) to configure all the Bluetooth-related options.
  * Integration with the KDE input/output system (KIO), which allows you to
    discover and explore Bluetooth devices from your favorite file browser.
  * A wizard to pair your devices and connect directly to services they offer,
    such as input (mouse, keyboard, Wiimote) and audio (headsets, phones).
  * A system tray application from where all BlueDevil actions can be done
    (disconnect devices, send files, configure, etc).
  * A daemon which listens to incoming requests, for example to receive files
    or to introduce a requested PIN.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

## bluedevil 5.21.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(bluedevil)
set(PROJECT_VERSION "5.21.4")
set(PROJECT_VERSION_MAJOR 5)

set(QT_MIN_VERSION "5.15.0")
set(KF5_MIN_VERSION "5.78")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Widgets
    Qml
    DBus)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    CoreAddons
    WidgetsAddons
    DBusAddons
    Notifications
    WindowSystem
    Plasma
    I18n
    KIO
    Declarative
    BluezQt
)

find_package(SharedMimeInfo REQUIRED)

find_package(KF5Kirigami2 ${KF5_MIN_VERSION} CONFIG)
set_package_properties(KF5Kirigami2 PROPERTIES
    TYPE RUNTIME
)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMOptionalAddSubdirectory)
include(FeatureSummary)
include(KDEClangFormat)
include(ECMSetupVersion)
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
endif()

if(ECM_VERSION VERSION_GREATER_EQUAL 5.79)
    include(KDEGitCommitHooks)
endif()

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX BLUEDEVIL
    VERSION_HEADER ${CMAKE_BINARY_DIR}/version.h
)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(src)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
if(ECM_VERSION VERSION_GREATER_EQUAL 5.79)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== debian/changelog ===
bluedevil (4:5.21.4-0ubuntu1) hirsute; urgency=medium

  * New upstream bugfix and translation release (5.21.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Apr 2021 11:08:09 +0100

bluedevil (4:5.21.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Mar 2021 20:31:31 +0000

bluedevil (4:5.21.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Mar 2021 14:11:10 +0000

bluedevil (4:5.21.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 23 Feb 2021 15:04:30 +0000

bluedevil (4:5.21.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Feb 2021 14:20:25 +0000

bluedevil (4:5.20.90-0ubuntu1) hirsute; urgency=medium

  * New upstream (beta) release (5.20.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 21 Jan 2021 23:43:24 +0000

bluedevil (4:5.20.5-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Kubuntu packaging Vcs fields.
    - debian/patches: lubuntu_only-show-in-lxqt.patch
      Show wizard and sendfile in LXQt menus.
    - debian/patches: lubuntu_add-to-system-category.patch
      Add wizard and sendfile to System category.

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Jan 2021 12:46:10 +0000

bluedevil (4:5.20.5-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.20.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 05 Jan 2021 15:02:58 +0000

bluedevil (4:5.20.4-3ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Kubuntu packaging Vcs fields.
    - debian/patches: lubuntu_only-show-in-lxqt.patch
      Show wizard and sendfile in LXQt menus.
    - debian/patches: lubuntu_add-to-system-category.patch
      Add wizard and sendfile to System category.

 -- Rik Mills <rikmills@kde.org>  Wed, 23 Dec 2020 07:55:03 +0000

bluedevil (4:5.20.4-2ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Kubuntu packaging Vcs fields.
    - debian/control: Runtime depend on qml-module-org-kde-kirigami2.
    - debian/patches: lubuntu_only-show-in-lxqt.patch
      Show wizard and sendfile in LXQt menus.
    - debian/patches: lubuntu_add-to-system-category.patch
      Add wizard and sendfile to System category.

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Dec 2020 12:27:19 +0000

bluedevil (4:5.20.4-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.20.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Dec 2020 18:48:12 +0000

bluedevil (4:5.20.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.20.0)
  * New build depend on libkf5declarative-dev
  * New upstream release (5.20.1)
  * New upstream release (5.20.2)
  * New upstream release (5.20.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 08:51:46 +0000

=== debian/control ===
--- 
+++ 
@@ -31,20 +31,21 @@
                shared-mime-info,
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/plasma/bluedevil
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/bluedevil.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/bluedevil
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/bluedevil
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/bluedevil
 Rules-Requires-Root: no
 
 Package: bluedevil
 Architecture: linux-any
 Depends: bluez (>= 5),
          bluez-obexd,
-         plasma-framework ( >= 5.74.0~),
-         qml-module-org-kde-bluezqt ( >= 5.74.0~),
-         qml-module-org-kde-kio ( >= 5.74.0~),
-         qml-module-org-kde-kquickcontrolsaddons ( >= 5.74.0~),
-         qml-module-qtquick-layouts (>= 5.15.0~),
-         qml-module-qtquick2 (>= 5.15.0~),
+         plasma-framework,
+         qml-module-org-kde-bluezqt,
+         qml-module-org-kde-kio,
+         qml-module-org-kde-kirigami2,
+         qml-module-org-kde-kquickcontrolsaddons,
+         qml-module-qtquick-layouts,
+         qml-module-qtquick2,
          ${misc:Depends},
          ${shlibs:Depends},
 Suggests: pulseaudio-module-bluetooth | bluez-alsa

## bluedevil 5.22.5

=== debian/changelog ===
bluedevil (4:5.22.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 00:44:38 +0200

bluedevil (4:5.22.4-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 27 Jul 2021 13:41:29 +0100

bluedevil (4:5.22.3-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Jul 2021 14:04:50 +0100

bluedevil (4:5.22.2.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 21:49:52 +0100

bluedevil (4:5.22.2-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 18:56:32 +0100

bluedevil (4:5.22.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Jun 2021 14:08:25 +0100

bluedevil (4:5.22.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 09 Jun 2021 20:50:10 +0100

bluedevil (4:5.21.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.21.5)
  * Refresh patches:
    - lubuntu_add-to-system-category.patch
    - lubuntu_only-show-in-lxqt.patch
  * debian/control: For now switch arch: linux-any -> any

 -- Rik Mills <rikmills@kde.org>  Tue, 04 May 2021 17:01:04 +0100

=== debian/control ===
--- 
+++ 
@@ -11,20 +11,20 @@
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.0~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.74.0~),
+               extra-cmake-modules (>= 5.82.0~),
                gettext,
-               kded5-dev (>= 5.74.0~),
-               libkf5bluezqt-dev (>= 5.74.0~),
-               libkf5coreaddons-dev (>= 5.74.0~),
-               libkf5dbusaddons-dev (>= 5.74.0~),
-               libkf5declarative-dev (>= 5.74.0~),
-               libkf5i18n-dev (>= 5.74.0~),
-               libkf5iconthemes-dev (>= 5.74.0~),
-               libkf5kio-dev (>= 5.74.0~),
-               libkf5notifications-dev (>= 5.74.0~),
-               libkf5plasma-dev (>= 5.74.0~),
-               libkf5widgetsaddons-dev (>= 5.74.0~),
-               libkf5windowsystem-dev (>= 5.74.0~),
+               kded5-dev (>= 5.82.0~),
+               libkf5bluezqt-dev (>= 5.82.0~),
+               libkf5coreaddons-dev (>= 5.82.0~),
+               libkf5dbusaddons-dev (>= 5.82.0~),
+               libkf5declarative-dev (>= 5.82.0~),
+               libkf5i18n-dev (>= 5.82.0~),
+               libkf5iconthemes-dev (>= 5.82.0~),
+               libkf5kio-dev (>= 5.82.0~),
+               libkf5notifications-dev (>= 5.82.0~),
+               libkf5plasma-dev (>= 5.82.0~),
+               libkf5widgetsaddons-dev (>= 5.82.0~),
+               libkf5windowsystem-dev (>= 5.82.0~),
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
@@ -36,7 +36,7 @@
 Rules-Requires-Root: no
 
 Package: bluedevil
-Architecture: linux-any
+Architecture: any
 Depends: bluez (>= 5),
          bluez-obexd,
          plasma-framework,

## bluedevil 5.23.3

=== debian/changelog ===
bluedevil (4:5.23.3-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.3).

 -- Norbert Preining <norbert@preining.info>  Wed, 10 Nov 2021 08:36:14 +0900

bluedevil (4:5.23.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.

  [ Norbert Preining ]
  * New upstream release (5.23.1).
  * New upstream release (5.23.2).

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Nov 2021 22:21:01 +0900

bluedevil (4:5.23.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.0).
  * Removed George Kiagiadakis, Mark Purcell, Modestas Vainius from the
    uploaders, thanks for your work on the package!

 -- Norbert Preining <norbert@preining.info>  Thu, 14 Oct 2021 20:13:13 +0900

bluedevil (4:5.21.5-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Release to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 17 Aug 2021 03:47:40 +0200

bluedevil (4:5.21.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.5).

 -- Patrick Franz <patfra71@gmail.com>  Fri, 07 May 2021 13:53:33 +0200

bluedevil (4:5.21.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.4).

 -- Patrick Franz <patfra71@gmail.com>  Tue, 06 Apr 2021 17:45:37 +0200

bluedevil (4:5.21.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.3).

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Mar 2021 05:49:40 +0900

bluedevil (4:5.21.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.2).

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Mar 2021 05:33:48 +0900

bluedevil (4:5.21.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.1).

 -- Norbert Preining <norbert@preining.info>  Wed, 24 Feb 2021 14:36:38 +0900

bluedevil (4:5.21.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Feb 2021 05:42:25 +0900

=== debian/control ===
Source: bluedevil
Section: net
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Florian Reinhard <florian.reinhard@googlemail.com>,
           Norbert Preining <norbert@preining.info>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.86~),
               gettext,
               kded5-dev (>= 5.74.0~),
               libkf5bluezqt-dev (>= 5.86~),
               libkf5coreaddons-dev (>= 5.86~),
               libkf5dbusaddons-dev (>= 5.86~),
               libkf5declarative-dev (>= 5.86~),
               libkf5i18n-dev (>= 5.86~),
               libkf5iconthemes-dev (>= 5.74.0~),
               libkf5kio-dev (>= 5.86~),
               libkf5notifications-dev (>= 5.86~),
               libkf5plasma-dev (>= 5.86~),
               libkf5widgetsaddons-dev (>= 5.86~),
               libkf5windowsystem-dev (>= 5.86~),
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
               shared-mime-info,
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/plasma/bluedevil
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/bluedevil.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/bluedevil
Rules-Requires-Root: no

Package: bluedevil
Architecture: linux-any
Depends: bluez (>= 5),
         bluez-obexd,
         plasma-framework ( >= 5.74.0~),
         qml-module-org-kde-bluezqt ( >= 5.74.0~),
         qml-module-org-kde-kio ( >= 5.74.0~),
         qml-module-org-kde-kquickcontrolsaddons ( >= 5.74.0~),
         qml-module-qtquick-layouts (>= 5.15.0~),
         qml-module-qtquick2 (>= 5.15.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: pulseaudio-module-bluetooth | bluez-alsa
Description: KDE Bluetooth stack
 BlueDevil is a set of components which integrate Bluetooth in KDE.
 It contains:
  * A KDE Control Module (KCM) to configure all the Bluetooth-related options.
  * Integration with the KDE input/output system (KIO), which allows you to
    discover and explore Bluetooth devices from your favorite file browser.
  * A wizard to pair your devices and connect directly to services they offer,
    such as input (mouse, keyboard, Wiimote) and audio (headsets, phones).
  * A system tray application from where all BlueDevil actions can be done
    (disconnect devices, send files, configure, etc).
  * A daemon which listens to incoming requests, for example to receive files
    or to introduce a requested PIN.

## bluedevil 5.24.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,12 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.16)
 
 project(bluedevil)
-set(PROJECT_VERSION "5.21.4")
+set(PROJECT_VERSION "5.24.4")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.78")
+set(KF5_MIN_VERSION "5.86")
+set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -46,14 +47,12 @@
 include(FeatureSummary)
 include(KDEClangFormat)
 include(ECMSetupVersion)
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
-   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
-endif()
+include(ECMQtDeclareLoggingCategory)
 
-if(ECM_VERSION VERSION_GREATER_EQUAL 5.79)
-    include(KDEGitCommitHooks)
-endif()
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055900)
+
+include(KDEGitCommitHooks)
 
 ecm_setup_version(${PROJECT_VERSION}
     VARIABLE_PREFIX BLUEDEVIL
@@ -69,9 +68,12 @@
 # add clang-format target for all our real source files
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
-if(ECM_VERSION VERSION_GREATER_EQUAL 5.79)
-    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
-endif()
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+ecm_qt_install_logging_categories(
+        EXPORT BLUEDEVIL
+        FILE bluedevil.categories
+        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
+        )
 
 find_package(KF5I18n CONFIG REQUIRED)
 ki18n_install(po)

=== src/kded/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
+
 set(kded_bluedevil_SRCS
     bluedevildaemon.cpp
     devicemonitor.cpp
     bluezagent.cpp
-    debug_p.cpp
     obexftp.cpp
     obexagent.cpp
     receivefilejob.cpp
@@ -10,6 +10,9 @@
     helpers/requestconfirmation.cpp
     helpers/requestpin.cpp
 )
+
+ecm_qt_declare_logging_category(kded_bluedevil_SRCS HEADER bluedevil_kded.h IDENTIFIER BLUEDEVIL_KDED_LOG CATEGORY_NAME
+    org.kde.plasma.bluedevil.kded DESCRIPTION "BlueDevil (kded)" EXPORT BLUEDEVIL)
 
 ki18n_wrap_ui(kded_bluedevil_SRCS
     helpers/requestpin.ui)
@@ -20,14 +23,13 @@
 set_target_properties(kded_bluedevil PROPERTIES OUTPUT_NAME bluedevil)
 
 target_link_libraries(kded_bluedevil
-    Qt5::Gui
+    Qt::Gui
     KF5::I18n
     KF5::CoreAddons
     KF5::DBusAddons
     KF5::Notifications
     KF5::KIOCore
     KF5::KIOFileWidgets
-    KF5::IconThemes
     KF5::WindowSystem
     KF5::BluezQt
 )

=== src/sendfile/CMakeLists.txt ===
set(sendfilehelper_SRCS
    main.cpp
    discoverwidget.cpp
    sendfilewizard.cpp
    sendfilesjob.cpp

    pages/selectdeviceandfilespage.cpp
    pages/selectdevicepage.cpp
    pages/selectfilespage.cpp
    pages/connectingpage.cpp
    pages/failpage.cpp
)

ecm_qt_declare_logging_category(sendfilehelper_SRCS HEADER bluedevil_sendfile.h IDENTIFIER BLUEDEVIL_SENDFILE_LOG CATEGORY_NAME
    org.kde.plasma.bluedevil.sendfile DESCRIPTION "BlueDevil (send file)" EXPORT BLUEDEVIL)

ki18n_wrap_ui(sendfilehelper_SRCS
    discover.ui
    pages/selectfilediscover.ui
    pages/connecting.ui
    pages/failpage.ui
)

add_executable(bluedevil-sendfile ${sendfilehelper_SRCS})

target_link_libraries(bluedevil-sendfile
    Qt::Widgets
    Qt::DBus
    KF5::I18n
    KF5::CoreAddons
    KF5::DBusAddons
    KF5::WidgetsAddons
    KF5::KIOFileWidgets
    KF5::BluezQt
)

install(TARGETS bluedevil-sendfile DESTINATION ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES org.kde.bluedevilsendfile.desktop DESTINATION ${KDE_INSTALL_APPDIR})

=== src/kio/bluetooth/CMakeLists.txt ===
set(kio_bluetooth_SRCS
   kiobluetooth.cpp)

set(kded_bluedevil.xml ${CMAKE_SOURCE_DIR}/src/interfaces/kded_bluedevil.xml)
set_source_files_properties(${kded_bluedevil.xml} PROPERTIES INCLUDE ${CMAKE_SOURCE_DIR}/src/interfaces/kded_bluedevil_types.h)
qt_add_dbus_interface(kio_bluetooth_SRCS ${kded_bluedevil.xml} kdedbluedevil)

kconfig_add_kcfg_files(kio_bluetooth_SRCS GENERATE_MOC ../../settings/filereceiversettings.kcfgc)

add_library(kio_bluetooth MODULE ${kio_bluetooth_SRCS})

target_link_libraries(kio_bluetooth
    Qt::Core
    Qt::DBus
    KF5::I18n
    KF5::KIOCore
    KF5::CoreAddons
    KF5::ConfigGui
    Qt::Network
)

target_include_directories(kio_bluetooth
    PUBLIC $<TARGET_PROPERTY:KF5::BluezQt,INTERFACE_INCLUDE_DIRECTORIES>)

########### install files ###############
install(TARGETS kio_bluetooth DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kio)
install(FILES bluetooth-network.desktop DESTINATION ${KDE_INSTALL_DATADIR}/remoteview)

=== debian/changelog ===
bluedevil (4:5.24.4-0ubuntu1) jammy; urgency=medium

  * New upstream bugfix release (5.24.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Mar 2022 10:18:46 +0100

bluedevil (4:5.24.3-0ubuntu1) jammy; urgency=medium

  * Update maintainer to Kubuntu Developers.
  * New upstream release (5.24.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Mar 2022 12:13:23 +0000

bluedevil (4:5.24.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Feb 2022 15:00:22 +0000

bluedevil (4:5.24.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Feb 2022 14:19:56 +0000

bluedevil (4:5.24.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Feb 2022 21:25:57 +0000

bluedevil (4:5.23.90-0ubuntu1) jammy; urgency=medium

  * New upstream beta release (5.23.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Jan 2022 10:17:27 +0000

bluedevil (4:5.23.5-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Jan 2022 10:39:14 +0000

bluedevil (4:5.23.4-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 30 Nov 2021 21:55:20 +0000

bluedevil (4:5.23.3-1ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 29 Nov 2021 17:16:50 +0000

bluedevil (4:5.23.3-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/patches: lubuntu_only-show-in-lxqt.patch
      Show wizard and sendfile in LXQt menus.
    - debian/patches: lubuntu_add-to-system-category.patch
      Add wizard and sendfile to System category.
    - debian/control: Runtime dependency on qml-module-org-kde-kirigami2
      as indicated by cmake.

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Nov 2021 08:36:11 +0000

bluedevil (4:5.23.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 10 Nov 2021 11:16:32 +0000

bluedevil (4:5.23.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.1)
  * New upstream release (5.23.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 05 Nov 2021 07:48:43 +0000

bluedevil (4:5.23.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.0)
  * Update build deps from cmake.

 -- Rik Mills <rikmills@kde.org>  Mon, 18 Oct 2021 17:49:28 +0100

## bluedevil 5.24.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(bluedevil)
-set(PROJECT_VERSION "5.24.4")
+set(PROJECT_VERSION "5.24.7")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.15.0")
@@ -75,5 +75,4 @@
         DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
         )
 
-find_package(KF5I18n CONFIG REQUIRED)
 ki18n_install(po)

=== src/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="bluedevil")

add_subdirectory(sendfile)
add_subdirectory(kded)
add_subdirectory(kio)
add_subdirectory(wizard)
add_subdirectory(applet)
add_subdirectory(kcm)

install(FILES bluedevil.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR})

install(FILES bluedevil-mime.xml DESTINATION ${KDE_INSTALL_MIMEDIR})
update_xdg_mimetypes(${KDE_INSTALL_MIMEDIR})

=== src/kcm/CMakeLists.txt ===
add_library(kcm_bluetooth MODULE bluetooth.cpp bluetooth.h)

kconfig_add_kcfg_files(kcm_bluetooth GENERATE_MOC
                    ../settings/filereceiversettings.kcfgc)

target_link_libraries(kcm_bluetooth
    Qt::Gui
    Qt::Qml
    Qt::DBus
    KF5::CoreAddons
    KF5::ConfigGui
    KF5::QuickAddons
    KF5::I18n
    KF5::BluezQt
    )

install(FILES kcm_bluetooth.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(TARGETS kcm_bluetooth DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/kcms/systemsettings)
kpackage_install_package(package kcm_bluetooth kcms)

=== src/applet/plugin/CMakeLists.txt ===
add_library(bluetoothplugin SHARED
    devicesproxymodel.cpp
    launchapp.cpp
    notify.cpp
    bluetoothplugin.cpp)

target_link_libraries(bluetoothplugin
    Qt::Core
    Qt::Qml
    KF5::Notifications
    KF5::BluezQt)

install(TARGETS bluetoothplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/bluetooth)
install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/bluetooth)

=== src/kio/obexftp/CMakeLists.txt ===
set(kio_obexftp_SRCS
    kioobexftp.cpp
    transferfilejob.cpp
   )

set(kded_obexftp.xml ${CMAKE_SOURCE_DIR}/src/interfaces/kded_obexftp.xml)
qt_add_dbus_interface(kio_obexftp_SRCS ${kded_obexftp.xml} kdedobexftp)
ecm_qt_declare_logging_category(kio_obexftp_SRCS HEADER bluedevil_kio_obexftp.h IDENTIFIER BLUEDEVIL_KIO_OBEXFTP_LOG CATEGORY_NAME
    org.kde.plasma.bluedevil.kioobexftp DESCRIPTION "BlueDevil (kio obexftp)" EXPORT BLUEDEVIL)
add_library(kio_obexftp MODULE ${kio_obexftp_SRCS})

target_link_libraries(kio_obexftp
    Qt::Core
    Qt::DBus
    KF5::I18n
    KF5::KIOCore
    KF5::CoreAddons
    KF5::BluezQt
    Qt::Network
)

install(TARGETS kio_obexftp DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kio)

=== debian/changelog ===
bluedevil (4:5.24.7-0ubuntu0.1) jammy; urgency=medium

  * New upstream bugfix release (5.24.7) (LP: #1992971)

 -- Rik Mills <rikmills@kde.org>  Mon, 17 Oct 2022 14:48:33 +0100

bluedevil (4:5.24.6-0ubuntu0.1) jammy; urgency=medium

  * New upstream bugfix release (5.24.6)
  * SRU to 22.04 (LP: #1986447)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Aug 2022 09:05:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,36 @@
 Source: bluedevil
 Section: net
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Florian Reinhard <florian.reinhard@googlemail.com>,
            Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.86~),
+               extra-cmake-modules (>= 5.90.0~),
                gettext,
-               kded5-dev (>= 5.74.0~),
-               libkf5bluezqt-dev (>= 5.86~),
-               libkf5coreaddons-dev (>= 5.86~),
-               libkf5dbusaddons-dev (>= 5.86~),
-               libkf5declarative-dev (>= 5.86~),
-               libkf5i18n-dev (>= 5.86~),
-               libkf5iconthemes-dev (>= 5.74.0~),
-               libkf5kio-dev (>= 5.86~),
-               libkf5notifications-dev (>= 5.86~),
-               libkf5plasma-dev (>= 5.86~),
-               libkf5widgetsaddons-dev (>= 5.86~),
-               libkf5windowsystem-dev (>= 5.86~),
+               kded5-dev (>= 5.90.0~),
+               libkf5bluezqt-dev (>= 5.90.0~),
+               libkf5coreaddons-dev (>= 5.90.0~),
+               libkf5dbusaddons-dev (>= 5.90.0~),
+               libkf5declarative-dev (>= 5.90.0~),
+               libkf5i18n-dev (>= 5.90.0~),
+               libkf5iconthemes-dev (>= 5.90.0~),
+               libkf5kio-dev (>= 5.90.0~),
+               libkf5notifications-dev (>= 5.90.0~),
+               libkf5plasma-dev (>= 5.90.0~),
+               libkf5widgetsaddons-dev (>= 5.90.0~),
+               libkf5windowsystem-dev (>= 5.90.0~),
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
                shared-mime-info,
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/plasma/bluedevil
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/bluedevil.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/bluedevil
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/bluedevil
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/bluedevil
 Rules-Requires-Root: no
 
 Package: bluedevil
@@ -39,6 +40,7 @@
          plasma-framework ( >= 5.74.0~),
          qml-module-org-kde-bluezqt ( >= 5.74.0~),
          qml-module-org-kde-kio ( >= 5.74.0~),
+         qml-module-org-kde-kirigami2 ( >= 5.74.0~),
          qml-module-org-kde-kquickcontrolsaddons ( >= 5.74.0~),
          qml-module-qtquick-layouts (>= 5.15.0~),
          qml-module-qtquick2 (>= 5.15.0~),

## bluedevil 5.25.5

=== debian/changelog ===
bluedevil (4:5.25.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Sep 2022 15:30:55 +0100

bluedevil (4:5.25.4-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/patches: lubuntu_only-show-in-lxqt.patch
      Show wizard and sendfile in LXQt menus.
    - debian/patches: lubuntu_add-to-system-category.patch
      Add wizard and sendfile to System category.
    - debian/control:
      - Kubuntu Vcs and maintainer fields.
      - Runtime dependency on qml-module-org-kde-kirigami2 as indicated
        by cmake.
      - Suggest instead of Recommend: pulseaudio-module-bluetooth.

 -- Rik Mills <rikmills@kde.org>  Wed, 03 Aug 2022 10:58:52 +0100

bluedevil (4:5.25.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 02 Aug 2022 17:29:55 +0200

bluedevil (4:5.25.4-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Aug 2022 17:57:58 +0100

bluedevil (4:5.25.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.2).
  * Drop unused build dependency on libkf5iconthemes-dev.
  * Adapt lintian overrides.
  * Add a Recommends on systemsettings used to invoke the bluetooth KCM.
  * New upstream release (5.25.3).
  * Release to unstable

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 17 Jul 2022 15:25:45 +0200

bluedevil (4:5.25.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Jul 2022 14:42:37 +0100

bluedevil (4:5.25.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jun 2022 14:15:37 +0100

bluedevil (4:5.25.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.25.1).

 -- Patrick Franz <deltaone@debian.org>  Tue, 21 Jun 2022 21:46:25 +0200

bluedevil (4:5.25.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 21 Jun 2022 16:25:55 +0100

bluedevil (4:5.25.0-1) experimental; urgency=medium

  * New upstream release (5.25.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 14 Jun 2022 21:25:50 +0200

bluedevil (4:5.25.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Jun 2022 08:04:35 +0100

bluedevil (4:5.24.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.90).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 20 May 2022 11:24:57 +0200

bluedevil (4:5.24.90-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 19 May 2022 18:38:27 +0100

bluedevil (4:5.24.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 12 May 2022 21:38:46 +0200

bluedevil (4:5.24.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 May 2022 15:47:03 +0100

bluedevil (4:5.24.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.4).
  * Bump pulseaudio-module-bluetooth to Recommends since it’s required for
    bluetooth audio devices pairing to work.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 30 Mar 2022 13:42:35 +0200

bluedevil (4:5.24.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.3).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 10 Mar 2022 07:43:24 +0100

bluedevil (4:5.24.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.24.2).
  * Bump Standards-Version to 4.6.0 (no changes needed).
  * Re-export signing key without extra signatures.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 26 Feb 2022 21:57:20 +0100

bluedevil (4:5.23.5-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.23.5).

 -- Patrick Franz <deltaone@debian.org>  Fri, 07 Jan 2022 15:42:47 +0100

bluedevil (4:5.23.4-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.4).

 -- Patrick Franz <deltaone@debian.org>  Thu, 02 Dec 2021 20:23:24 +0100

=== debian/control ===
--- 
+++ 
@@ -3,31 +3,31 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Florian Reinhard <florian.reinhard@googlemail.com>,
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Florian Reinhard <florian.reinhard@googlemail.com>,
            Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.90.0~),
+               extra-cmake-modules (>= 5.94~),
                gettext,
-               kded5-dev (>= 5.90.0~),
-               libkf5bluezqt-dev (>= 5.90.0~),
-               libkf5coreaddons-dev (>= 5.90.0~),
-               libkf5dbusaddons-dev (>= 5.90.0~),
-               libkf5declarative-dev (>= 5.90.0~),
-               libkf5i18n-dev (>= 5.90.0~),
-               libkf5iconthemes-dev (>= 5.90.0~),
-               libkf5kio-dev (>= 5.90.0~),
-               libkf5notifications-dev (>= 5.90.0~),
-               libkf5plasma-dev (>= 5.90.0~),
-               libkf5widgetsaddons-dev (>= 5.90.0~),
-               libkf5windowsystem-dev (>= 5.90.0~),
+               kded5-dev (>= 5.74.0~),
+               libkf5bluezqt-dev (>= 5.94~),
+               libkf5coreaddons-dev (>= 5.94~),
+               libkf5dbusaddons-dev (>= 5.94~),
+               libkf5declarative-dev (>= 5.94~),
+               libkf5i18n-dev (>= 5.94~),
+               libkf5kio-dev (>= 5.94~),
+               libkf5notifications-dev (>= 5.94~),
+               libkf5plasma-dev (>= 5.94~),
+               libkf5widgetsaddons-dev (>= 5.94~),
+               libkf5windowsystem-dev (>= 5.94~),
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.15.0~),
-               qtdeclarative5-dev (>= 5.15.0~),
+               qtbase5-dev (>= 5.15.2~),
+               qtdeclarative5-dev (>= 5.15.2~),
                shared-mime-info,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/plasma/bluedevil
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/bluedevil
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/bluedevil
@@ -46,7 +46,7 @@
          qml-module-qtquick2 (>= 5.15.0~),
          ${misc:Depends},
          ${shlibs:Depends},
-Suggests: pulseaudio-module-bluetooth | bluez-alsa
+Suggests: pulseaudio-module-bluetooth | bluez-alsa, systemsettings
 Description: KDE Bluetooth stack
  BlueDevil is a set of components which integrate Bluetooth in KDE.
  It contains:
